﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

namespace _2mench
{
    /// <summary>
    /// Interaction logic for menuBtn.xaml
    /// </summary>
    public partial class menuBtn : UserControl
    {
        Boolean colorchanged=false, textchanged = false;
        Color colory;
        public Color Color
        {
            get { return colory; }
            set 
            {
                colorchanged = true;
                colory = value;
            }
        }
        string text="متن";
        public string Text
        {
            get { return text; }
            set { text = value; textchanged = true; }
        }
        public menuBtn()
        {
            InitializeComponent();
        }

        private void image1_MouseEnter(object sender, MouseEventArgs e)
        {
            Uri src = new Uri(@"/2mench;component/Images/mnuBTN2.png", UriKind.Relative);
            BitmapImage img = new BitmapImage(src);
            image1.Source = img;
        }

        private void image1_MouseLeave(object sender, MouseEventArgs e)
        {
            Uri src = new Uri(@"/2mench;component/Images/mnuBTN1.png", UriKind.Relative);
            BitmapImage img = new BitmapImage(src);
            image1.Source = img;
        }

        private void btn_LayoutUpdated(object sender, EventArgs e)
        {
            if (textchanged == true)
            {
                this.label1.Content = text;
                textchanged = false;
            }
            else if (colorchanged == true)
            {
                ellipse1.Fill = ellipse2.Fill = rectangle1.Fill = new SolidColorBrush(colory);
                colorchanged = false;
            }
        }
        
    }
}
